commit:     f3a43ee4c7c2cfe861c1aff4519e2d4b389fa5f7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 06:04:32 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 06:37:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3a43ee4

dev-python/sphinxcontrib-spelling: Bump to 6.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-spelling/Manifest         |  1 +
 .../sphinxcontrib-spelling-6.0.0.ebuild            | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinxcontrib-spelling/Manifest 
b/dev-python/sphinxcontrib-spelling/Manifest
index 5fd72d6b1ec..97302bf2ed7 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -1,3 +1,4 @@
 DIST sphinxcontrib-spelling-5.1.2.tar.gz 22962 BLAKE2B 
c7b15289b4b6dce5e6c5fb529c4be2cd7c1f41d8bfc6ac86daf1a982f711bd2c426d9b3a615471538fe221197b64ccd907efd4620ea2440f6ec07b2a078d6bee
 SHA512 
4a0398b7c79a035e12d9ae96100fcaa4df42aeae07a01a73f7d875ba04fbbeb3d7441c9debe77491876d78b0a3753677cff4cb3a575e3490364fe5780f5a70b2
 DIST sphinxcontrib-spelling-5.3.0.tar.gz 45665 BLAKE2B 
c44c8c2621aecd74734c6137e1344a763e99fb61b3ce882c8ea70364df17a7e2fac49acc8878753cab1b70df2cf084de5087bed77f8b1bffe311410ecec3504d
 SHA512 
8f3c4718877e55b0ebcd3d8c0f078a6c06c27c2cdd3cc557fd2e0e990f0c8956179fd9a8b3135b280973e45c0c8657f71372746ef4b55319078db8f16c7e00e9
 DIST sphinxcontrib-spelling-5.4.0.tar.gz 46823 BLAKE2B 
8303a97b87d953a37db4548d895559baf93969c11f8417aafeb67804ec537f9ea028bcbf6a56eb3290f13871a782dcde142b1927865a6f9eefd5a20dc53061b1
 SHA512 
7e0fe6289f9482982825a1204c926490a1e31dc85e25e6418ba47f5575430875e3df5f77202ad458044b810bc2a29f989e6bc6f0c9b4934af938716a4ab887f0
+DIST sphinxcontrib-spelling-6.0.0.tar.gz 46607 BLAKE2B 
f5283fe16c8e72eea3a79b1a54036bb1a9b87857a1ba19082ed486c0bf87ea474fcbc7e1930449bb2b61b3c9c7f3e69de94bbe187927571d06ef7ce3adabf5cc
 SHA512 
bd2725740ab5b7b225f66d45a811ae7d282859f182d2088ad4b4f1314fdccf464eddf2e534207bca467bddf0df2fcd5f8abc52a90cf0135ac15231d14c363c25

diff --git 
a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-6.0.0.ebuild 
b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-6.0.0.ebuild
new file mode 100644
index 00000000000..6819f5557b2
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-6.0.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/importlib_metadata-1.7.0[${PYTHON_USEDEP}]
+       ' python3_{6,7})
+       dev-python/pyenchant[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/pbr[${PYTHON_USEDEP}]
+       test? (
+               app-dicts/myspell-en
+       )
+"
+
+# The doc can only be built from a git repository
+distutils_enable_tests pytest
+
+# We don't want distutils_enable_tests to add the namespace
+# package to BDEPEND under "test?". Therefore we add it to RDEPEND
+# after running distutils_enable_tests.
+RDEPEND+="
+       dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       # Needs to be run from a git repository
+       sed -i 's/test_contributors/_&/' \
+               tests/test_filter.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to